Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Michael Heerdegen <[email-masked]>
Date: Tue, 10 Nov 2020 17:41:51 +0100

Eli Zaretskii <[email-masked]> writes:

> > FWIW, I'm still in that session, it's still running, and since
> > yesterday, that session's memory use has shrunk a lot.  Nearly half of
> > the memory that had been in use yesterday apparently has been freed now.
>
> So the "leak" is not permanent, as some other people here reported?

Maybe not, or not completely.  Memory usage still was gigantic, though.

Most of the time people will recognize the problem when it causes
trouble, and then they probably use to restart Emacs.  Maybe most of
them did not try to continue using such a session?  Only guessing.  But
yes, mine did free say 2 GB of 7 GB used, without any intervention from
my side.

Michael.